if errorlevel 59 goto clearPK
if errorlevel 58 goto viewMP
if errorlevel 57 goto texMP
if errorlevel 56 goto editMP
if errorlevel 55 goto MFjob
if errorlevel 54 goto convert
if errorlevel 53 goto metafont
if errorlevel 52 goto editMF
:EditMF
  %EDIT% %MF%.mf %EDITPAR%
  set EDITPAR=
  set MNU=53
  goto end
:metafont
  set MNU=52
  :mfstart
  set EDITPAR=
  if exist %TMP%\@ed.bat del %TMP%\@ed.bat
  call %TMP%\@mfbat
  if errorlevel 1 %ERRCOM%
  %EMTEXDIR%\bin\totext
  if exist %TMP%\@ed.bat call %TMP%\@ed
  if exist %TMP%\@ed.bat goto mfstart
  goto end
:clearPK
  set MNU=56
  if exist %MF%.pk del %MF%.pk
  %EMTEXDIR%\bin\rempks %DVIDRVFONTS% pixel.* %MF%.pk
  goto end
rem ................................ for bacward compatibility:
:convert
  echo %GFOPT% > %TMP%\@gfbat.bat
  %COMSPEC% /c %TMP%\@gfbat
  goto end
:MFjob
  %COMSPEC% /c %EMTEXDIR%\mnu\mfj
  rem set MNU=52
  goto end
rem ................................. include a new font in TeX:
:editMP
  %EDIT% %MF%.mp %EDITPAR%
  set EDITPAR=
  set MNU=57
  goto end
:texMP
  call %EMTEXDIR%\bin\%FMT%
  call %EMTEXDIR%\bin\texrun %MF%.mp
  set MNU=58
  goto end
:ViewMP
  %EMTEXDIR%\bin\dvidrv %SCR% %SCROPT% %MF%
  set MNU=56
:end
